import 'package:flutter/material.dart';
import 'package:pc_plugins/widgets/site_preview/site_preview_default.dart';

init({required String url,double width=90,double height=100,
  void Function()? onTap,bool loading=false,bool interactive=false,
  bool border=true,Widget Function()? loadingBuilder}) => _SitePreview(
  url: url, width: width,height: height,onTap: onTap,loading: loading,interactive: interactive,
  border: border,loadingBuilder: loadingBuilder,);

class _SitePreview extends StatelessWidget implements SitePreview{
  final String? url;
  final double width;
  final double height;
  final bool interactive;
  final void Function()? onTap;
  final bool loading;
  final Widget Function()? loadingBuilder;
  final bool border;
  const _SitePreview({required this.url,this.width=90,this.height=100,
    this.onTap,this.loading=false,this.interactive=false,
    this.border=true,this.loadingBuilder});

  @override
  Widget build(BuildContext context) {
    return Container();
  }
}
